> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aihubmax.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Lipsync 2 Video Lip Sync

> - Sync Lipsync series generates lip-synced video from video + audio input
- Asynchronous processing mode, use the returned task ID to [query status](/pages/en/api-manual/task-management/get-task-detail)
- Generated video links are valid for 24 hours, please save them promptly




## OpenAPI

````yaml openapi/en/lipsync-2.json POST /v1/videos/generations
openapi: 3.1.0
info:
  title: Lipsync 2
  version: '1.0'
servers:
  - url: https://api.aihubmax.com
security:
  - BearerAuth: []
paths:
  /v1/videos/generations:
    post:
      tags:
        - Video > Audio-Visual Sync
      summary: Lipsync 2
      description: >
        - Sync Lipsync series generates lip-synced video from video + audio
        input

        - Asynchronous processing mode, use the returned task ID to [query
        status](/pages/en/api-manual/task-management/get-task-detail)

        - Generated video links are valid for 24 hours, please save them
        promptly
      operationId: lipsync-2
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LipsyncGenRequest'
            examples:
              basic_lip_sync:
                summary: Basic lip sync
                value:
                  model: lipsync-2
                  video_url: >-
                    https://v3.fal.media/files/tiger/IugLCDJRIoGqvqTa-EJTr_3wg74vCqyNuQ-IiBd77MM_output.mp4
                  audio_url: https://fal.media/files/lion/vyFWygmZsIZlUO4s0nr2n.wav
                  sync_mode: loop
              pro_model_advanced_options:
                summary: Pro model + advanced options
                value:
                  model: lipsync-2-pro
                  video_url: >-
                    https://storage.googleapis.com/falserverless/example_inputs/sync_v2_pro_video_input.mp4
                  audio_url: >-
                    https://storage.googleapis.com/falserverless/example_inputs/sync_v2_pro_audio_input.mp3
                  sync_mode: cut_off
                  temperature: 0.8
                  active_speaker: true
              sync_3_professional_lip_sync:
                summary: Sync 3 professional lip sync
                value:
                  model: sync-3
                  video_url: >-
                    https://v3.fal.media/files/tiger/IugLCDJRIoGqvqTa-EJTr_3wg74vCqyNuQ-IiBd77MM_output.mp4
                  audio_url: https://fal.media/files/lion/vyFWygmZsIZlUO4s0nr2n.wav
                  sync_mode: bounce
      responses:
        '200':
          $ref: '#/components/responses/TaskCreated'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '402':
          $ref: '#/components/responses/PaymentRequired'
        '422':
          $ref: '#/components/responses/UnprocessableEntity'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalServerError'
        '503':
          $ref: '#/components/responses/ServiceUnavailable'
components:
  schemas:
    LipsyncGenRequest:
      type: object
      required:
        - model
        - video_url
        - audio_url
      properties:
        model:
          description: >-
            `lipsync-2`: Standard quality

            `lipsync-2-pro`: Higher quality

            `sync-3`: Next-generation, professional quality; does not support
            `temperature` or `active_speaker`
          examples:
            - lipsync-2
            - lipsync-2-pro
            - sync-3
          type: string
          default: lipsync-2
        video_url:
          description: |
            Public URL of the input video file

            **Notes:**
            - Format: MP4
            - Must be a publicly accessible URL
          type: string
          example: >-
            https://v3.fal.media/files/tiger/IugLCDJRIoGqvqTa-EJTr_3wg74vCqyNuQ-IiBd77MM_output.mp4
        audio_url:
          description: >
            Public URL of the input audio file


            **Notes:**

            - Format: MP3 / WAV

            - Must be a publicly accessible URL

            - Audio duration directly affects output video duration and billing
            (depends on `sync_mode`)
          type: string
          example: https://fal.media/files/lion/vyFWygmZsIZlUO4s0nr2n.wav
        sync_mode:
          default: loop
          description: >
            Video-audio synchronization mode, determines output video duration


            **Options:**

            - `bounce` — Video plays back and forth to match audio length,
            output duration = audio duration

            - `loop` — Video loops to match audio length, output duration =
            audio duration

            - `cut_off` — Audio is trimmed when video ends, output duration =
            min(video, audio)

            - `silence` — Video is padded with silence at the end, output
            duration = video duration

            - `remap` — Audio timeline is remapped to match video, output
            duration = audio duration
          type: string
          example: loop
        temperature:
          anyOf:
            - maximum: 1
              minimum: 0
              type: number
            - type: 'null'
          default: null
          description: |-
            Mouth movement expressiveness control, default 0.5

            **Notes:**
            - Range: `0.0` - `1.0`
            - Only supported by `lipsync-2` and `lipsync-2-pro`
            - `sync-3` does not support this parameter


            > Do not pass this parameter unless necessary.
          x-advanced: true
          x-unsupported-models:
            - sync-3
          example: 0.8
        active_speaker:
          anyOf:
            - type: boolean
            - type: 'null'
          default: null
          description: |-
            Enable active speaker detection

            **Notes:**
            - Only supported by `lipsync-2` and `lipsync-2-pro`
            - `sync-3` does not support this parameter


            > Do not pass this parameter unless necessary.
          x-advanced: true
          x-unsupported-models:
            - sync-3
          example: true
    TaskResponse:
      type: object
      properties:
        created:
          type: integer
          description: Task creation timestamp
          example: 1757165031
        id:
          type: string
          description: Task ID
          example: task-unified-1757165031-uyujaw3d
        model:
          type: string
          description: Actual model name used
        object:
          type: string
          description: Specific task type
          enum:
            - video.generation.task
        progress:
          type: integer
          description: Task progress percentage (0-100)
          minimum: 0
          maximum: 100
          example: 0
        status:
          type: string
          description: Task status
          enum:
            - pending
            - processing
            - completed
            - failed
          example: pending
        task_info:
          type: object
          description: Asynchronous task info
          properties:
            can_cancel:
              type: boolean
              description: Whether the task can be cancelled
              example: true
            estimated_time:
              type: integer
              description: Estimated completion time (seconds)
              example: 45
        type:
          type: string
          description: Task output type
          enum:
            - video
          example: video
    ErrorResponse400:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Invalid request format
            type:
              type: string
              example: invalid_request_error
    ErrorResponse401:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Invalid API key
            type:
              type: string
              example: authentication_error
    ErrorResponse402:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Insufficient account balance
            type:
              type: string
              example: insufficient_quota
    ErrorResponse422:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Parameter validation failed
            type:
              type: string
              example: validation_error
    ErrorResponse429:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Rate limit exceeded
            type:
              type: string
              example: rate_limit_error
    ErrorResponse500:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Internal server error
            type:
              type: string
              example: server_error
    ErrorResponse503:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: Service temporarily unavailable, please try again later
            type:
              type: string
              example: service_unavailable
  responses:
    TaskCreated:
      description: Task created successfully
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/TaskResponse'
    BadRequest:
      description: Invalid request format
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse400'
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse401'
    PaymentRequired:
      description: Insufficient balance
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse402'
    UnprocessableEntity:
      description: Parameter validation failed
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse422'
    TooManyRequests:
      description: Rate limit exceeded
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse429'
    InternalServerError:
      description: Internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse500'
    ServiceUnavailable:
      description: Service temporarily unavailable
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse503'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: |
        ## All APIs require Bearer Token authentication ##

        Add to request header:

        `Authorization: Bearer YOUR_API_KEY`

````